<?php
/**
 *
 */
class UCMM_WPBrigade_Entities {

  function __construct()
  {
    $this->_hooks();
  }

  public function _hooks() {

    add_action( 'customize_register', array( $this, 'customize_ucmm_wpbrigade' ) );
  }

  /**
  * Register plugin settings Panel in WP Customizer
  *
  * @param	$wp_customize
  * @since	1.0.0
  */
  public function customize_ucmm_wpbrigade( $wp_customize ) {

    //	=============================
    //	= Panel for UCMM WPBrigade  =
    //	=============================
    $wp_customize->add_panel( 'ucmm_wpbrigade_panel', array(
      'title'						=> __( 'Under Construction', 'ucmm-wpbrigade' ),
      'description'			=> __( 'Customize Your WordPress Under Construction Page :)', 'ucmm-wpbrigade' ),
      'priority'				=> 30,
    ) );

    //	=============================
    //	= Section for Logo		      =
    //	=============================
    $wp_customize->add_section(
    'ucmm_wpbrigade_logo_section',
    array(
      'title'				 => __( 'Logo', 'ucmm-wpbrigade' ),
      'description'	 => __( 'Customize Your Logo', 'ucmm-wpbrigade' ),
      'priority'		 => 5,
      'panel'				 => 'ucmm_wpbrigade_panel',
    ) );

    $wp_customize->add_setting(
    'ucmm_wpbrigade_customization[ucmm_logo]',
    array(
      'type'					=> 'option',
      'capability'		=> 'manage_options',
      // 'transport'      => 'postMessage'
    ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ucmm_wpbrigade_customization[ucmm_logo]', array(
      'label'		 => __( 'Logo Image:', 'ucmm-wpbrigade' ),
      'section'	 => 'ucmm_wpbrigade_logo_section',
      'priority'	=> 5,
      'settings'	=> 'ucmm_wpbrigade_customization[ucmm_logo]'
    ) ) );

    $logo_control = array( 'ucmm_logo_width', 'ucmm_logo_height', 'ucmm_logo_padding', 'ucmm_logo_hover', 'ucmm_logo_hover_title' );
    $logo_default = array( '200px', '100px', '200px', '', '' );
    $logo_label   = array(
      __( 'Logo Width:', 'ucmm-wpbrigade' ),
      __( 'Logo Height:', 'ucmm-wpbrigade' ),
      __( 'Padding Bottom:', 'ucmm-wpbrigade' ),
      __( 'Logo URL:', 'ucmm-wpbrigade' ),
      __( 'Logo Hover Title:', 'ucmm-wpbrigade' )
    );

    // $logo = 0;
    // while ( $logo < 5 ) :
    //
    //   $wp_customize->add_setting( "ucmm_wpbrigade_customization[{$logo_control[$logo]}]", array(
    //     'default'					=> $logo_default[$logo],
    //     'type'						=> 'option',
    //     'capability'			=> 'manage_options',
    //     // 'transport'       => 'postMessage'
    //   ));
    //
    //   $wp_customize->add_control( $logo_control[$logo], array(
    //     'label'						 => $logo_label[$logo],
    //     'section'					 => 'ucmm_wpbrigade_logo_section',
    //     'priority'				 => 10,
    //     'settings'				 => "ucmm_wpbrigade_customization[{$logo_control[$logo]}]"
    //   ));
    //
    //   $logo++;
    // endwhile;

    //	=============================
    //	= Section for Background		=
    //	=============================
    $wp_customize->add_section( 'ucmm_wpbrigade_background_section', array(
      'title'				 => __( 'Background', 'ucmm-wpbrigade' ),
      'description'	 => '',
      'priority'		 => 10,
      'panel'				 => 'ucmm_wpbrigade_panel',
    ) );

    $wp_customize->add_setting( 'ucmm_wpbrigade_customization[setting_background]', array(
      // 'default'       =>  plugins_url( 'img/bg.jpg', __FILE__ ) ,
      'type'					 => 'option',
      'capability'		 => 'manage_options',
      // 'transport'      => 'postMessage'
    ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ucmm_wpbrigade_customization[setting_background]', array(
      'label'		   => __( 'Background Image:', 'ucmm-wpbrigade' ),
      'section'	   => 'ucmm_wpbrigade_background_section',
      'priority'	 => 15,
      'settings'	 => 'ucmm_wpbrigade_customization[setting_background]',
    ) ) );

    //	=============================
    //	= Section for Text          =
    //	=============================
    $wp_customize->add_section( 'ucmm_wpbrigade_text_section', array(
      'title'				 => __( 'Text Section', 'ucmm-wpbrigade' ),
      'description'	 => '',
      'priority'			=> 15,
      'panel'				 => 'ucmm_wpbrigade_panel',
    ) );

    $wp_customize->add_setting( "ucmm_wpbrigade_customization[header_text]", array(
      'default'				=> __("UNDER CONSTRUCTION", 'ucmm-wpbrigade'),
      'type'					=> 'option',
      'capability'		=> 'manage_options',
      'transport'     => 'postMessage'
    ) );

    $wp_customize->add_control( 'ucmm_wpbrigade_customization[header_text]', array(
      'label'						 => __('Header Text', 'ucmm-wpbrigade'),
      'section'					 => 'ucmm_wpbrigade_text_section',
      'priority'					=> 5,
      'settings'				 => "ucmm_wpbrigade_customization[header_text]"
    ) );

    $wp_customize->add_setting( "ucmm_wpbrigade_customization[footer_text]", array(
      'default'				=> __( 'We are working hard to bring you new experience', 'ucmm-wpbrigade' ),
      'type'					=> 'option',
      'capability'		=> 'manage_options',
      'transport'     => 'postMessage'
    ) );

    $wp_customize->add_control( 'ucmm_wpbrigade_customization[footer_text]', array(
      'label'						 => __('Footer Text', 'ucmm-wpbrigade'),
      'section'					 => 'ucmm_wpbrigade_text_section',
      'priority'				 => 10,
      'settings'				 => "ucmm_wpbrigade_customization[footer_text]"
    ) );

    //	=============================
    //	= Section for Footer Love   =
    //	=============================

    $wp_customize->add_section( 'section_footer_love', array(
      'title'				 => __( 'Show Some Love', 'ucmm-wpbrigade' ),
      // 'description'	 => __( 'Show some love', 'ucmm-wpbrigade' ),
      'priority'		 => 20,
      'panel'				 => 'ucmm_wpbrigade_panel',
    ) );

    $wp_customize->add_setting( 'ucmm_wpbrigade_customization[ucmm_display_footer_text]', array(
      'default'        => true,
      'type'           => 'option',
      'capability'		 => 'manage_options',
      'transport'      => 'postMessage'
    ) );

    $wp_customize->add_control( 'ucmm_wpbrigade_customization[ucmm_display_footer_text]', array(
      'settings' => 'ucmm_wpbrigade_customization[ucmm_display_footer_text]',
      'label'		=> __( 'Please help other learn about this free plugin by placing a small link in the footer. Thank you very much!', 'ucmm-wpbrigade'),
      'section'	=> 'section_footer_love',
      'priority' => 5,
      'type'		 => 'checkbox',
    ) );
  }
}
?>
